openapi: 3.0.0
info:
  version: '1.6'
  title: SCANOSS API
  description: This is the documentation for the SCANOSS API.
  contact:
    name: SCANOSS
    url: https://scanoss.com
servers:
- url: https://api.osskb.org/
  description: OSS KB
paths:
  /scan/direct:
    post:
      summary: Direct scan. Performs a scan of an WFP file and returns the result.
      operationId: scandirect
      tags:
      - scan
      responses:
        '200':
          description: Scan successfully created
        '400':
          description: Invalid or missing file
        '500':
          description: The scanner component encountered an unexpected error
      requestBody:
        content:
          multipart/form-data:
            schema:
              type: object
              properties:
                file:
                  type: string
                  format: binary
                  description: The name of the file to be scanned
                project_id:
                  type: integer
                  description: The project identifier of the scan
                assets:
                  type: string
                  description: The contents of the SBOM file in CycloneDX or SPDX
                    2.2 format
                type:
                  type: string
                  enum:
                  - ignore
                  - identify
                  - blacklist
                  description: 'Optional parameter identify the type of scan. Default
                    value: IGNORE'
                context:
                  type: string
                  description: Optional name of the component to take as context
                flags:
                  type: integer
                  description: Optional flags for the scanning engine
components:
  schemas: {}

